fixes for plugins
[fai-configs.git] / files / etc / init.d / install-mediagoblin / DEFAULT
index ac0f8b6..1e1b751 100755 (executable)
@@ -19,10 +19,12 @@ if [ ! -d mediagoblin ]; then
 
     if [ ! -d mediagoblin-piwik ]; then
        sudo -u mediagoblin git clone https://github.com/ayleph/mediagoblin-piwik
+       cp -r mediagoblin-piwik/piwik mediagoblin/mediagoblin/plugins/
     fi
 
     if [ ! -d mediagoblin-libreplanet ]; then
        sudo -u mediagoblin git clone https://vcs.fsf.org/git/mediagoblin-libreplanet.git
+       cp -r mediagoblin-libreplanet/mediagoblin-libreplanet mediagoblin/mediagoblin/plugins/libreplanet
     fi
 
     cd mediagoblin
@@ -34,6 +36,9 @@ if [ ! -d mediagoblin ]; then
 
     sudo -u mediagoblin cp /etc/mediagoblin-templates/mediagoblin.ini mediagoblin_local.ini
 
+    # https://issues.mediagoblin.org/ticket/5373
+    sudo -u mediagoblin ./bin/easy_install flup==1.0.3.dev-20110405
+
     sudo -u mediagoblin ./bin/gmg dbupdate
 
     update-rc.d mediagoblin-paster defaults